classification
Title: ERROR: testRegularFile (test.test_socket.SendfileUsingSendTest) random failure on AppVeyor
Type: Stage: resolved
Components: Tests Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords:

Created on 2017-07-25 00:36 by vstinner, last changed 2017-09-11 22:07 by vstinner. This issue is now closed.

Messages (3)
msg299035 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-25 00:36
https://ci.appveyor.com/project/python/cpython/build/3.7.0a0.4809

(...)
testNonRegularFile (test.test_socket.SendfileUsingSendTest) ... ok
testOffset (test.test_socket.SendfileUsingSendTest) ... ok
testRegularFile (test.test_socket.SendfileUsingSendTest) ... ERROR
testWithTimeout (test.test_socket.SendfileUsingSendTest) ... ok
testWithTimeoutTriggeredSend (test.test_socket.SendfileUsingSendTest) ... ok
(...)
======================================================================
ERROR: testRegularFile (test.test_socket.SendfileUsingSendTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "C:\projects\cpython\lib\test\test_socket.py", line 5225, in testRegularFile
    data = self.recv_data(conn)
  File "C:\projects\cpython\lib\test\test_socket.py", line 5201, in recv_data
    chunk = conn.recv(self.BUFSIZE)
socket.timeout: timed out
----------------------------------------------------------------------
msg299406 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-28 16:22
I tried to reproduce the bug on my Windows 8.1 VM. I ran the test more than 1,000 times. In parallel, I ran "python -m test -j0 -rW" to increase the system load, but it wasn't enough to reproduce the bug.
msg301915 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-09-11 22:07
I didn't see this issue recently, but I didn't check much Appveyor. Let's hope that the bug was fixed in the meanwhile. I will reopen the issue if the bug comes back.
History
Date User Action Args
2017-09-11 22:07:33vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg301915

stage: resolved
2017-07-28 16:22:41vstinnersetmessages: + msg299406
2017-07-25 00:36:10vstinnercreate